GuiCommand: Name: Part Plane MenuLocation: Part , Part_Primitives , Plane Workbenches: Part_Workbench, OpenSCAD_Workbench SeeAlso: Part_Primitives
Part Plane
Description
A Part Plane is a parametric rectangular plane that can be created with the Part Primitives command. In the coordinate system defined by its Placement property, the plane lies on the XY plane with its front left corner at the origin, and its front edge parallel to the X axis.
Usage
See Part Primitives.
Example
A Part Plane object created with the scripting example below is shown here.
Properties
See also: Property editor.
A Part Plane object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
{{TitleProperty|Attachment}}
The object has the same attachment properties as a Part Part2DObject.
{{TitleProperty|Plane}}
-
Length|Length: The length of the plane. This is the dimension in its X direction. The default is {{Value|10mm}}.
-
Width|Length: The width of the plane. This is the dimension in its Y direction. The default is {{Value|10mm}}.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Plane can be created with the {{Incode|addObject()}} method of the document:
plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
- Where {{Incode|"myPlane"}} is the name for the object.
- The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))
doc.recompute()
{{Part_Tools_navi}}
⏵ documentation index > Part > Part Plane
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Part_Plane.md